GET api/Order/GetOrderById?id={id}
Get Open Order along with Order Lines
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
Order| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| CreationDate | date |
None. |
|
| OrderNoOfDay | string |
Max length: 15 |
|
| TableId | integer |
None. |
|
| TableName | string |
Max length: 20 |
|
| CustomerId | globally unique identifier |
None. |
|
| Status | OrderStatus |
None. |
|
| Type | OrderType |
None. |
|
| PaymentStatus | PaymentStatus |
None. |
|
| Comments | string |
Max length: 500 |
|
| OrderComments | string |
Max length: 500 |
|
| InvoiceNumber | integer |
None. |
|
| InvoiceDate | date |
None. |
|
| InvoiceGenerated | boolean |
None. |
|
| UserId | string |
Max length: 36 |
|
| CheckOutUserId | string |
Max length: 36 |
|
| Bong | integer |
None. |
|
| TrainingMode | boolean |
None. |
|
| TerminalId | globally unique identifier |
None. |
|
| OutletId | globally unique identifier |
None. |
|
| SourceTerminalId | string |
Max length: 36 |
|
| CustomerInvoiceId | globally unique identifier |
None. |
|
| RoundedAmount | decimal number |
None. |
|
| OrderTotal | decimal number |
None. |
|
| IsGiftCardSale | boolean |
None. |
|
| OpenSynced | boolean |
None. |
|
| Synced | boolean |
None. |
|
| ServeFlowId | byte |
None. |
|
| ServeFlowStatus | byte |
None. |
|
| CategoryId | byte |
None. |
|
| DeliveryDate | date |
None. |
|
| EnableRUT | boolean |
None. |
|
| CustomerReferenceId | globally unique identifier |
None. |
|
| ExternalStatus | OrderExternalStatus |
None. |
|
| PerformaCount | byte |
None. |
|
| DeleteReason | string |
Max length: 50 |
|
| DiscountReason | string |
Max length: 50 |
|
| WaitForCourse | boolean |
None. |
|
| TableRecreated | boolean |
None. |
|
| ReturnRecreated | boolean |
None. |
|
| Updated | date |
None. |
|
| OrderState | string |
Max length: 20 |
|
| ServiceTypeCode | string |
Required Max length: 50 |
|
| PuckNumber | string |
Max length: 10 |
|
| GuestCount | integer |
None. |
|
| ChannelName | string |
Max length: 50 |
|
| PreviousServiceTypeCode | string |
Max length: 50 |
|
| OrderLines | Collection of OrderLine |
None. |
|
| Receipts | Collection of Receipt |
None. |
|
| Payments | Collection of Payment |
None. |
|
| RUTDiscount | decimal number |
None. |
|
| CustomerName | string |
None. |
|
| CustomerPhone | string |
None. |
|
| PrimaryContact | string |
None. |
|
| PrimaryPhone | string |
None. |
|
| PrimaryEmail | string |
None. |
|
| CustomerNo | string |
None. |
|
| string |
None. |
||
| CustomerAddress | string |
None. |
|
| CreatedBy | string |
None. |
|
| IsSelected | boolean |
None. |
|
| EmailSent | boolean |
None. |
|
| SentDate | date |
None. |
|
| DueDate | date |
None. |
|
| BalanceAmount | decimal number |
None. |
|
| SelectedTable | FoodTable |
None. |
|
| Receipt | Receipt |
None. |
|
| Customer | Customer |
None. |
|
| ShortComments | string |
None. |
|
| CartNumber | integer |
None. |
|
| SelecttedImagePath | string |
None. |
|
| ServeStatusColor | string |
None. |
|
| SumAmtString | string |
None. |
|
| OrderDirection | integer |
None. |
|
| BongNumber | string |
None. |
|
| BongComments | string |
None. |
|
| OutletCode | string |
None. |
|
| DefaultOrderType | string |
None. |
|
| KDSOrderType | integer |
None. |
|
| OrderStatusFromType | OrderStatus |
None. |
|
| PaidStatus | string |
None. |
|
| OrderNumber | string |
None. |
|
| ReceiptNumber | string |
None. |
|
| OrderType | OrderType |
None. |
|
| GrossAmount | decimal number |
None. |
|
| ComissionAmount | decimal number |
None. |
|
| NetAmount | decimal number |
None. |
|
| VatAmount | decimal number |
None. |
|
| PartialPaidAmount | decimal number |
None. |
|
| SelectEnable | boolean |
None. |
|
| CheckOutVisibility | boolean |
None. |
|
| RetryVisibility | boolean |
None. |
|
| ButtonVisibility | boolean |
None. |
|
| ReturnButtonVisibility | boolean |
None. |
|
| SendTicketToCustomer | boolean |
None. |
|
| IsReadyToPickup | boolean |
None. |
|
| IsWaitingToPickup | boolean |
None. |
|
| ShowReminder | boolean |
None. |
|
| ShowSMSWarning | boolean |
None. |
|
| ButtonRestoreVisibility | boolean |
None. |
|
| ButtonChangeCustomerVisibility | boolean |
None. |
|
| InvNumber | string |
None. |
|
| GiftCard | GiftCard |
None. |
|
| GiftCards | Collection of GiftCard |
None. |
|
| PaymentType | string |
None. |
|
| PaymentTypeId | integer |
None. |
|
| InProgress | boolean |
None. |
|
| ShowButtonOnOpenView | boolean |
None. |
|
| ShowButtonOnOpenViewInRestaurant | boolean |
None. |
|
| AskRUTCalled | boolean |
None. |
|
| OrderTickets | Collection of OrderTicket |
None. |
|
| KDSStatus | KDSStatus |
None. |
|
| KitchenStatus | OrderKitchenStatus |
None. |
|
| RecreateTableButton | boolean |
None. |
|
| TabNo | integer |
None. |
|
| ExportStatus | integer |
None. |
|
| ExportError | string |
None. |
|
| TipAmount | decimal number |
None. |
|
| ShowTabNo | boolean |
None. |
|
| TabNoHeight | integer |
None. |
|
| CurrentStatusText | string |
None. |
|
| FoodlyNumber | string |
None. |
|
| CommerceOrderFulfillment | CommerceOrderFulfillment |
None. |
|
| FoodlyOrder | FoodlyWaitingOrder |
None. |
|
| LogEnteries | Collection of Journal |
None. |
|
| DisableCheckoutTraceLog | boolean |
None. |
Response Formats
application/json, text/json
{
"Id": "17c7c092-430e-4d63-a125-1d322703068b",
"CreationDate": "2026-11-04T13:37:06.3649124+01:00",
"OrderNoOfDay": "sample string 3",
"TableId": 4,
"TableName": "sample string 5",
"CustomerId": "b9ff3bd4-7148-41ea-9b9e-4aace61ae10f",
"Status": 0,
"Type": 0,
"PaymentStatus": 0,
"Comments": "sample string 7",
"OrderComments": "sample string 8",
"InvoiceNumber": 9,
"InvoiceDate": "2026-11-04T13:37:06.3649124+01:00",
"InvoiceGenerated": true,
"UserId": "sample string 11",
"CheckOutUserId": "sample string 12",
"Bong": 13,
"TrainingMode": true,
"TerminalId": "1b1ed455-f326-45c0-b264-a2a43e51cac8",
"OutletId": "2d35c937-e225-4fa8-ae65-138a440afe3b",
"SourceTerminalId": "sample string 17",
"CustomerInvoiceId": "a801dbbf-6566-41f4-8aec-9c2af48ea32d",
"RoundedAmount": 18.0,
"OrderTotal": 19.0,
"IsGiftCardSale": true,
"OpenSynced": true,
"Synced": true,
"ServeFlowId": 64,
"ServeFlowStatus": 64,
"CategoryId": 64,
"DeliveryDate": "2026-11-04T13:37:06.3649124+01:00",
"EnableRUT": true,
"CustomerReferenceId": "6fdc4267-1d0c-4c6b-82bb-cdc5d155faa4",
"ExternalStatus": 0,
"PerformaCount": 64,
"DeleteReason": "sample string 29",
"DiscountReason": "sample string 30",
"WaitForCourse": true,
"TableRecreated": true,
"ReturnRecreated": true,
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"OrderState": "sample string 35",
"ServiceTypeCode": "sample string 36",
"PuckNumber": "sample string 37",
"GuestCount": 1,
"ChannelName": "sample string 38",
"PreviousServiceTypeCode": "sample string 39",
"OrderLines": [
{
"$id": "2",
"Id": "e8bedf61-9489-4a98-87b2-89b5f9088943",
"OrderId": "6000f68e-1411-4369-b71e-9d7d2a0dc957",
"Order": {
"$ref": "1"
},
"ItemId": "8047d245-a05b-4861-9e6f-bb8c67924cac",
"Product": {
"$id": "3",
"Id": "c09a542e-ddb5-4007-b0b6-8d2ba0c24c92",
"Name": "sample string 2",
"SKU": "sample string 3",
"BarCode": "sample string 4",
"PLU": "sample string 5",
"GroupId": "c3e74f02-aae9-4593-91b6-266aeb278c00",
"SupplierId": "675beebd-c5a1-4c96-8e64-a8a0b28589de",
"SupplierSKU": "sample string 7",
"BrandId": 8,
"Description": "sample string 9",
"LongDescription": "sample string 10",
"BongTitle": "sample string 11",
"TextColor": "sample string 12",
"ColorCode": "sample string 13",
"IconId": 14,
"ShowItemButton": true,
"ShowGroupItem": true,
"Price": 17.0,
"PurchasePrice": 18.0,
"Tax": 19.0,
"Unit": 0,
"AskPrice": true,
"AskWeight": true,
"PriceLock": true,
"PrinterId": 23,
"PlaceHolder": true,
"AskVolume": true,
"NeedIngredient": true,
"Bong": true,
"Sticky": 28,
"Seamless": true,
"AccountingId": 30,
"ReceiptMethod": 0,
"ItemType": 0,
"DiscountAllowed": true,
"PreparationTime": 0,
"PrepMinutes": 1,
"IngredientPopup": true,
"DefaultCartQty": 33.0,
"SortOrder": 34,
"Active": true,
"Deleted": true,
"Weight": 37.0,
"Availability": true,
"ServeType": 64,
"Synced": true,
"DemandIdControl": true,
"Discontinued": true,
"AskPLU": true,
"NoticeStockLevel": 44.0,
"DefaultUnit": 0,
"ManageStock": 45,
"PriceRek": 46.0,
"CommentsRequired": true,
"TicketQty": 48,
"MinCartQty": 49.0,
"MinQtyAlert": 50.0,
"ComissionPercent": 51.0,
"PantPrice": 52.0,
"TrackAmount": true,
"SaleUnitSuffix": "sample string 54",
"QtyPerSaleUnit": 55.0,
"AutoClose": true,
"ButtonTitle": "sample string 57",
"SpecialSalesPrice": 1.0,
"SpecialSalesPriceValidFrom": "2026-11-04T13:37:06.3649124+01:00",
"SpecialSalesPriceValidTo": "2026-11-04T13:37:06.3649124+01:00",
"Draft": true,
"VatChangeBehavior": 0,
"ItemTypeUUID": "e4011603-07d3-4331-aa40-af02b997d7d5",
"ItemGroupUUID": "0dd33aee-b278-4c18-b66e-02de83cb0aae",
"ItemAttributeSetUUID": "24e6cd8d-452f-4bfe-b03c-94e94d50bf47",
"BrandUUID": "6f852712-1267-48e3-9e1e-e0a8905ddc7e",
"TicketTemplateId": 1,
"OrderOptionType": 0,
"BestBeforeDays": 1,
"Created": "2026-11-04T13:37:06.3649124+01:00",
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"UpdatedBy": "dd7f2479-e282-4df3-a635-2fc74ccfe9fd",
"CategoryId": 60,
"Campaign": {
"$id": "4",
"Id": "a64e8233-e033-4d3c-8479-6bed996ba695",
"CampaignType": 0,
"DiscountBy": 0,
"BuyLimit": 2,
"FreeOffer": 3,
"Price": 4.0,
"DiscountQtyIncrement": 5,
"Description": "sample string 6",
"StartDate": "2026-11-04T13:37:06.3649124+01:00",
"EndDate": "2026-11-04T13:37:06.3649124+01:00",
"Deleted": true,
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"CampaignPriceDetails": [
{
"$id": "5",
"Id": "73627496-b009-4955-aacb-28aad1dae16a",
"CampaignId": "46b096a4-c222-4b9d-b88a-86fe71df8439",
"Quantity": 3,
"PayPrice": 4.0,
"Deleted": true,
"Updated": "2026-11-04T13:37:06.3649124+01:00"
},
{
"$ref": "5"
}
]
},
"ItemsTags": [
{
"$id": "6",
"Id": "00a6e215-0135-4627-acaa-d3b8519a2b3b",
"TagId": "24c197e4-d576-4d9c-97bb-2f60da2892e5",
"ItemId": "4ed60442-1226-4981-833b-84379de0449c",
"Deleted": true,
"Synced": true,
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"TagName": "sample string 7"
},
{
"$ref": "6"
}
],
"ItemCampaign": {
"$id": "7",
"UUID": "b36f968b-fc62-4d0f-8074-7a8cc076a2b8",
"CampaignTypeId": "OPEN",
"Title": "sample string 2",
"DiscountBy": 1,
"FreeOffer": 1,
"BuyLimit": 1,
"StartDate": "2026-11-04T13:37:06.3649124+01:00",
"EndDate": "2026-11-04T13:37:06.3649124+01:00",
"PriceEach": 1.0,
"PriceTotal": 1.0,
"Grouped": true,
"CurrencyCode": "sample string 6",
"IncludesVat": true,
"CreatedAt": "2026-11-04T13:37:06.3649124+01:00",
"CreatedByUUID": "sample string 9",
"UpdatedAt": "2026-11-04T13:37:06.3649124+01:00",
"UpdatedByUUID": "sample string 10",
"DeletedAt": "2026-11-04T13:37:06.3649124+01:00",
"DeletedByUUID": "sample string 11",
"Synced": true,
"ItemPrices": [
{
"$id": "8",
"UUID": "cea5bff4-e3cb-4d2f-87a2-eab31dbfac0a",
"PriceListUUID": "5f47a1e0-0e63-492f-81e2-436891c31a99",
"ItemGroupUUID": "3cef2d86-7f85-4743-ad4f-f0bac86c52f5",
"AgreementUUID": "393b9ec3-6839-4405-b214-dd3c3c747f20",
"CustomerGroupUUID": "15a3babf-efcb-45e7-867f-2da7b4357a4a",
"CustomerUUID": "429a704d-4f5e-4326-b5a6-2ca045777e43",
"ProjectUUID": "d96bd0b1-fdae-4665-80f0-98864ec2deb6",
"CampaignUUID": "ff7aab3f-2319-40d7-ad96-adf6d85be92a",
"ItemUUID": "9e643396-6962-4814-bb20-22e294978491",
"WildCardSKU": "sample string 4",
"MinQty": 1.0,
"MaxQty": 1.0,
"Price": 1.0,
"Percentage": 1.0,
"Type": "sample string 5",
"RegularPrice": true,
"PurchasePrice": 1.0,
"ValidFrom": "2026-11-04T13:37:06.3649124+01:00",
"ValidTo": "2026-11-04T13:37:06.3649124+01:00",
"CreatedAt": "2026-11-04T13:37:06.3649124+01:00",
"CreatedByUUID": "sample string 8",
"UpdatedAt": "2026-11-04T13:37:06.3649124+01:00",
"UpdatedByUUID": "sample string 9",
"DeletedAt": "2026-11-04T13:37:06.3649124+01:00",
"DeletedByUUID": "sample string 10",
"Synced": true,
"ItemName": "sample string 12",
"CampaignTitle": "sample string 13"
},
{
"$ref": "8"
}
]
},
"HasPricePolicy": true,
"ItemCategory": [
{
"$id": "9",
"Id": 1,
"ItemId": "9b2eb4e4-2aa3-4638-81c0-b5eb5d4964b7",
"CategoryId": 3,
"SortOrder": 4,
"IsPrimary": true,
"CategoryBoostId": "sample string 6"
},
{
"$ref": "9"
}
],
"ItemIdex": 62,
"PolicyGroupId": 63,
"HasCampaign": true,
"Products": [
{
"$ref": "3"
},
{
"$ref": "3"
}
],
"ColorName": "sample string 64",
"Type": 65,
"ImagePath": "sample string 66",
"ImageVisibility": true,
"ifExists": "sample string 68",
"ProductPrices": [
{
"$id": "10",
"Id": 1,
"ItemId": "0055d954-7ff8-4f21-87d7-c9eea3d6d572",
"PurchasePrice": 3.0,
"Price": 4.0,
"OutletId": "4c181c3e-bfea-483b-bc08-59279f31782a",
"PriceMode": 0,
"Updated": "2026-11-04T13:37:06.3649124+01:00"
},
{
"$ref": "10"
}
],
"Ingredients": [
{
"$ref": "3"
},
{
"$ref": "3"
}
],
"Variants": [
{
"$id": "11",
"Id": 1,
"ConfigurationId": "dd171967-7506-4ebe-9093-b6bb19e936f1",
"ItemId": "e9d4a392-5297-4e84-946f-d999b440a5ec",
"SortOrder": 4,
"Deleted": true,
"Updated": "2026-11-04T13:37:06.3649124+01:00"
},
{
"$ref": "11"
}
],
"ItemOption": [
{
"$id": "12",
"Id": "406a5fe1-60e4-44eb-9497-4327645c06c7",
"ItemOptionGroupId": "443f585e-3acd-48d9-831b-3c11934bd7d4",
"ItemId": "9eb286e1-9a42-4063-8c66-55175559de99",
"CategoryId": 4,
"Active": true,
"Updated": "2026-11-04T13:37:06.3649124+01:00"
},
{
"$ref": "12"
}
],
"ShowOnReceipt": true,
"QuickAdd": true,
"HasIngredients": true,
"HasVariants": true,
"HasOptions": true,
"CategoryItemGroups": [
{
"$id": "13",
"Id": "5f316836-16f0-4d1e-8129-fd817572c681",
"CategoryId": 2,
"GroupId": "15e36a90-0795-4997-a73c-a852c87ad973",
"Qty": 4.0,
"Price": 5.0,
"Deleted": true,
"SortOrder": 7,
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"Description": "sample string 9"
},
{
"$ref": "13"
}
],
"ItemPricePolicies": [
{
"$id": "14",
"Id": 1,
"ItemId": "f5b5c58c-b2c9-4fc7-8d6a-2599683f8511",
"BuyLimit": 3,
"DiscountAmount": 4.0,
"Active": true,
"Deleted": true,
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"PolicyId": 8
},
{
"$ref": "14"
}
],
"PriceGroupPolicies": [
{
"$id": "15",
"Id": 1,
"GroupId": 2,
"BuyLimit": 3,
"MaxLimit": 4,
"DiscountAmount": 5.0,
"TotalAmount": 6.0,
"Updated": "2026-11-04T13:37:06.3649124+01:00"
},
{
"$ref": "15"
}
],
"Photo": "QEA=",
"GroupPrice": 72.0,
"ExternalId": "sample string 73",
"IngredientQty": 74.0,
"StockQty": 75.0,
"Attributes": "sample string 76",
"LocalStockNull": true,
"StockInitialCount": 78.0,
"Selected": true,
"ShowWarhouseStock": true,
"ShowStockQty": true,
"HideStockQty": false,
"IsRUT": true,
"NotSelected": true,
"IsInActive": true,
"CreatedBy": "sample string 84",
"TerminalId": "44c19d8c-dfb4-49cf-89c0-cd3ec81c61b0",
"CategoryName": "sample string 85",
"ShowCategoryName": true,
"DiscountedPrice": 86.0,
"Qty": 87.0,
"ConfigurationId": 88,
"ItemOptionId": "e17b5933-678a-419e-8d57-1ce308175e7a",
"PriceAdd": 90.0,
"PriceRemove": 91.0,
"FreeQty": 92.0,
"MinQty": 93.0,
"MaxQty": 94.0,
"FirstItemSelected": true,
"OptionForOrderType": 0,
"PLUNumeric": 0,
"ScalePrice": 96.0,
"Files": [
{
"$id": "16",
"UUID": "abbb9186-9683-49a1-847a-0e32c540929e",
"ParentUUID": "7f563ca3-8ab9-4071-93c8-744bc010db2b",
"EntityUUID": "22693a16-e954-4839-8bf3-0e094234a706",
"EntityType": "sample string 3",
"ClientFilename": "sample string 4",
"ServerFilename": "sample string 5",
"ContentType": "sample string 6",
"ContentSubType": "sample string 7",
"FileSize": 8,
"Location": "sample string 9",
"Url": "sample string 10",
"ThumbnailUrl": "sample string 11",
"MetaData": "sample string 12",
"CreatedByUUID": "sample string 13",
"CreatedAt": "2026-11-04T13:37:06.3649124+01:00",
"UpdatedAt": "2026-11-04T13:37:06.3649124+01:00",
"UpdatedByUUID": "sample string 15",
"DeletedByUUID": "sample string 16",
"DeletedAt": "2026-11-04T13:37:06.3649124+01:00",
"Synced": true
},
{
"$ref": "16"
}
],
"HasFile": true,
"ItemTypeText": "Individual",
"ItemUnitText": "Piece",
"LanguageTexts": [
{
"$id": "17",
"Id": "35077821-c41f-4343-8544-0bdf18b69fa6",
"ItemId": "c34c69e3-b855-4eb4-9a35-848d5edd4e18",
"LanguageId": 3,
"Name": "sample string 4",
"ShortDescription": "sample string 5",
"LongDescription": "sample string 6",
"Updated": "2026-11-04T13:37:06.3649124+01:00"
},
{
"$ref": "17"
}
],
"ItemAdditionalIdentifications": [
{
"$id": "18",
"UUID": "4ddf300d-e860-4140-aac0-06a40a033a1c",
"ItemUUID": "eff3ff4f-42ad-43c3-a4ce-9409e1e8cc2b",
"ItemInstanceUUID": "sample string 3",
"Identifier": "sample string 4",
"IdentifierSchemeId": "sample string 5",
"CreatedAt": "2026-11-04T13:37:06.3649124+01:00",
"CreatedByUUID": "sample string 7",
"UpdatedAt": "2026-11-04T13:37:06.3649124+01:00",
"updatedByUUID": "sample string 8"
},
{
"$ref": "18"
}
],
"IsManageStock": false,
"PriceExlTax": 20.23,
"IndexId": 97,
"IsSelected": true,
"HideQuantityUnit": true
},
"Quantity": 4.0,
"DiscountedUnitPrice": 5.0,
"PurchasePrice": 6.0,
"ItemDiscount": 7.0,
"TaxPercent": 8.0,
"Active": 64,
"ItemComments": "sample string 10",
"UnitPrice": 11.0,
"DiscountPercentage": 12.0,
"ItemStatus": 64,
"IsCoupon": 64,
"Direction": 15,
"DiscountType": 0,
"DiscountDescription": "sample string 16",
"ItemType": 0,
"GroupId": "0c069c41-28a0-4351-894c-04c4405bc4f7",
"GroupKey": "77b655bd-24c9-4cb5-95c6-a290fc82e03c",
"IngredientMode": "sample string 18",
"IngredientQty": 19.0,
"ItemUnit": 0,
"ShowOnReceipt": true,
"ServeType": 64,
"BongNo": 22,
"AddedOrder": 64,
"IsRUT": true,
"PrinterId": 25,
"ComissionPercent": 26.0,
"PantPrice": 27.0,
"HideQuantityUnit": true,
"BasePrice": 29.0,
"PreparationTime": 0,
"OutletId": "b8614847-d6bc-45c1-802f-48df08942abc",
"QuickAdd": true,
"IsDefaultIngredient": true,
"ItemStatusText": "Ready",
"ItemStatusColor": "#FFD89778",
"KDSItemStatusColor": "#FFD89778",
"IsReadyToServe": true,
"EnableReadyToServe": false,
"IngredientCartQty": "4x19",
"OrderComments": "sample string 34",
"OrderDate": "2026-11-04T13:37:06.3649124+01:00",
"InvoiceDate": "2026-11-04T13:37:06.3649124+01:00",
"IsOrderComment": true,
"ServeTypeName": "sample string 37",
"ServeStatusColor": "sample string 38",
"ServeStatusVisibility": true,
"CampignIndex": 40,
"BorderColor": "sample string 41",
"BackColor": "sample string 42",
"ForeColor": "sample string 43",
"ButtonTag": 44,
"StatusColor": "#FFFFFFFF",
"IsValid": false,
"ItemDetails": [
{
"$ref": "2"
},
{
"$ref": "2"
}
],
"IngredientItems": [
{
"$ref": "2"
},
{
"$ref": "2"
}
],
"CampaignId": "fe294022-1c50-4f75-80af-affab1c7c93f",
"HasGroupItems": false,
"GrossTotal": 660.0,
"GrossDiscountTotal": -153.0,
"IngredientTotal": -102.0,
"ShowButton": false,
"ItemName": "sample string 2",
"UpdateColorName": 64,
"VAT": 0.98222222222222222,
"ItemTotalDiscount": 21.0,
"ItemTotalDiscountDisplay": -21.0,
"DiscountVisibility": true,
"ComissionVisibility": true,
"ItemDiscountDisplay": -7.0,
"DiscountSignVisibility": true,
"IngredientListVisibility": true,
"RecieptQtyVisibility": true,
"StatusVisibility": false,
"QtyVisibility": true,
"GroupQtyVisibility": true,
"IngredientVisibility": true,
"imagePath": "/LuqonRetail;component/images/minusQty.png",
"IsSelected": true,
"SelecttedImagePath": "/LuqonRetail;component/images/selecteditem.png",
"CampaignApplied": true,
"DisableCampaignApplied": true,
"CampaignAppliedVisibility": false,
"RewardApplied": true,
"CartQty": "4",
"RecieptQty": "4.00",
"HasIngredients": true,
"ReceiptItems": [
{
"$id": "19",
"ContentGuid": "9d09ae04-a76a-4f03-b612-66b8246dd9c7",
"Extra": true,
"Strip": true,
"Text": "sample string 4",
"Price": 5.0,
"VAT": 6.0,
"Quantity": 7,
"Direction": "+"
},
{
"$ref": "19"
}
],
"ItemIdex": 49,
"BIDSNO": 50,
"Percentage": 51.0,
"OrderType": 0,
"BIDS": "sample string 52",
"Category": "sample string 53",
"Description": "sample string 54",
"MoveQuantity": 55.0,
"SortOrder": 56,
"InWait": true,
"DetailItemsVisiblity": true,
"DisplayTotal": "sample string 59",
"GiftCardNo": "sample string 60",
"AddedAt": "2026-11-04T13:37:06.3649124+01:00",
"DisplayQty": "sample string 62",
"HideButton": true,
"ItemNameWidth": 64,
"LineHeight": 25,
"ButtonVisibility": false,
"BarcodeStartWith20": false,
"DeleteButtonVisibility": true,
"CommentVisibility": true,
"MarkReadyVisibility": true,
"CartFontSize": 66,
"IngredeintComment": "sample string 67",
"IngredeintModeVisibility": false,
"IngredeintCommentVisibility": true,
"PantPriceVisibility": true,
"TotalPantPrice": 108.0,
"ItemDescription": "sample string 68",
"OnlyPriceVisibility": true,
"DiscountJournalEntery": {
"$id": "20",
"Id": 1,
"UserId": "sample string 2",
"OrderId": "dd7f96d0-741e-4738-8fe5-68201f71e87c",
"ItemId": "63505e62-d9eb-430c-b8f1-da53c6e6d725",
"TableId": 1,
"ActionId": 3,
"Created": "2026-11-04T13:37:06.3649124+01:00",
"LogMessage": "sample string 5",
"Synced": true,
"Action": "sample string 7",
"UserName": "sample string 8"
},
"PriceExlTax": 4.63,
"PurchasePriceExlTax": 5.56
},
{
"$ref": "2"
}
],
"Receipts": [
{
"$id": "21",
"ReceiptId": "af69ef50-a2af-4d2d-b80c-0f697e3a6636",
"TerminalId": "a23d525a-282e-4159-a3f4-b392b61e9868",
"TerminalNo": 64,
"ReceiptNumber": 4,
"OrderId": "27e7345d-9a16-40b3-91f6-057410201862",
"Order": {
"$ref": "1"
},
"ReceiptCopies": 64,
"GrossAmount": 7.0,
"VatAmount": 8.0,
"VatDetail": "sample string 9",
"PrintDate": "2026-11-04T13:37:06.3649124+01:00",
"ControlUnitName": "sample string 11",
"ControlUnitCode": "sample string 12",
"CustomerPaymentReceipt": "sample string 13",
"MerchantPaymentReceipt": "sample string 14",
"IsSignature": true,
"VatDetails": null,
"NegativeAmount": 16.0,
"RoundedAmount": 17.0,
"CLEAN_CASH_ERROR": "sample string 18"
},
{
"$ref": "21"
}
],
"Payments": [
{
"$id": "22",
"Id": "04bc3859-27c7-4ce7-a9d6-49cc0698672e",
"OrderId": "66aff211-61eb-4eee-b60e-374eacee1dd5",
"Order": {
"$ref": "1"
},
"TypeId": 64,
"PaidAmount": 4.0,
"ReturnAmount": 5.0,
"PaymentDate": "2026-11-04T13:37:06.3649124+01:00",
"PaymentRef": "sample string 7",
"CreditCardNo": "sample string 8",
"CashCollected": 9.0,
"CashChange": 10.0,
"IsCashSaleDropped": 64,
"Direction": 12,
"ProductName": "sample string 13",
"DeviceTotal": 14.0,
"TypeName": "sample string 15"
},
{
"$ref": "22"
}
],
"RUTDiscount": 40.0,
"CustomerName": "sample string 41",
"CustomerPhone": "sample string 42",
"PrimaryContact": "sample string 43",
"PrimaryPhone": "sample string 44",
"PrimaryEmail": "sample string 45",
"CustomerNo": "sample string 46",
"Email": "sample string 47",
"CustomerAddress": "sample string 48",
"CreatedBy": "sample string 49",
"IsSelected": true,
"EmailSent": true,
"SentDate": "2026-11-04T13:37:06.3649124+01:00",
"DueDate": "2026-11-04T13:37:06.3649124+01:00",
"BalanceAmount": 52.0,
"SelectedTable": {
"$id": "23",
"Id": 1,
"Name": "sample string 2",
"FloorId": 3,
"Floor": {
"$id": "24",
"Id": 1,
"Name": "sample string 2",
"LayoutImage": "QEA=",
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"Tables": [
{
"$ref": "23"
},
{
"$ref": "23"
}
]
},
"PositionX": 4,
"PositionY": 5,
"Height": 6,
"Width": 7,
"Chairs": 8,
"Status": 0,
"ImageUrl": "sample string 9",
"ColorCode": "sample string 10",
"ServeStatus": 11,
"SortOrder": 12,
"LockedByTerminal": "f7e73746-cac8-4eb3-8a2f-15f5b232fc30",
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"OrderCount": 15,
"OrderTotal": 16.0,
"FloorName": "sample string 17",
"PerformaPrinted": true,
"TableComments": "sample string 19",
"OrderTime": "sample string 20",
"Orders": [
{
"$ref": "1"
},
{
"$ref": "1"
}
]
},
"Receipt": {
"$ref": "21"
},
"Customer": {
"$id": "25",
"Id": "7cf48d64-7e87-487c-bbdc-68489c1fcb32",
"ParentId": "047ea2a4-4316-448c-b29f-8c218a65fce4",
"Name": "sample string 2",
"OrgNo": "sample string 3",
"Address1": "sample string 4",
"Address2": "sample string 5",
"FloorNo": 6,
"PortCode": "sample string 7",
"CustomerNo": "sample string 8",
"City": "sample string 9",
"Phone": "sample string 10",
"Email": "sample string 11",
"ZipCode": "sample string 12",
"Reference": "sample string 13",
"DirectPrint": true,
"VehicleId": 15,
"CommunicationTypeId": 16,
"Active": true,
"Synced": true,
"EnableRUT": true,
"RUTDisallowedUntil": "2026-11-04T13:37:06.3649124+01:00",
"CustomerType": 0,
"PrimaryName": "sample string 20",
"PrimaryPhone": "sample string 21",
"PrimaryEmail": "sample string 22",
"SendReceipt": true,
"InstructionAlert": true,
"Instructions": "sample string 25",
"PaymentMethod": 0,
"DeliveryMethod": 0,
"Created": "2026-11-04T13:37:06.3649124+01:00",
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"UpdatedBy": "8e3b082c-e0c2-4c3e-8a8b-5767bf5e15d0",
"PriceListId": "acdf7499-b219-4903-b340-7f82d238001a",
"Customer_CustomField": [
{
"$id": "26",
"Id": "fea0f889-e91f-4e51-a7d8-1193a378d22f",
"FieldId": "4b470b99-a907-45f6-b58a-a85a1983876e",
"CustomerCustomField": {
"$id": "27",
"Id": "000a22ab-2f1a-409a-bd48-6483801c4332",
"Caption": "sample string 2",
"SortOrder": 3
},
"CustomerId": "375441e6-ccfe-456e-b59c-0b88293fcb38",
"Customer": {
"$ref": "25"
},
"Caption": "sample string 4",
"Text": "sample string 5",
"SortOrder": 6,
"Updated": "2026-11-04T13:37:06.3649124+01:00"
},
{
"$ref": "26"
}
],
"DiscountGroupId": "24522814-d0a7-4d59-a404-8626c314218e",
"OrgNumber": "sample string 3",
"CustomerName": "sample string 2",
"Address": "sample string 4, sample string 12, sample string 9",
"PrimaryContacts": [
{
"$ref": "25"
},
{
"$ref": "25"
}
],
"ContactReference": "sample string 30",
"DiscountGroup": {
"$id": "28",
"DiscountId": "48a08134-7945-4c33-8619-a57dea7c2166",
"Title": "sample string 2",
"Discount": 3.0,
"Created": "2026-11-04T13:37:06.3649124+01:00",
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"Description": "sample string 6"
},
"Parent": {
"$ref": "25"
},
"ShowEdit": true,
"GiftCard": {
"$id": "29",
"CardId": "3953c6b0-dc99-47df-ae9a-83240a1677a7",
"CardNumber": "sample string 2",
"AddedAmount": 3.0,
"Balance": 4.0,
"CustomerId": "d2ad01f7-a962-4372-9142-c05cfbc064ea",
"Title": "sample string 6",
"ValidFrom": "2026-11-04T13:37:06.3649124+01:00",
"ValidTo": "2026-11-04T13:37:06.3649124+01:00",
"Active": true,
"Updated": "2026-11-04T13:37:06.3649124+01:00",
"CardType": 0,
"UniqueCode": "sample string 11",
"Synced": true,
"Status": "Aktiva",
"UsedAmount": -1.0,
"CustomerDiscount": 13.0,
"CustomerName": "sample string 14",
"SeasonTicket": {
"$id": "30",
"Id": "66082faa-cd16-4f81-8052-8ed06ffd2dbe",
"CustomerId": "bfd95b90-d001-42b9-8856-4fe1076f71b9",
"ExpiryDate": "2026-11-04T13:37:06.3649124+01:00",
"Active": true,
"Synced": true,
"CustomerName": "sample string 6"
},
"OrderId": "b3bcaa9c-84d2-4578-9d07-e95f14ebe8fb",
"NewAmount": 16.0,
"VehicleId": 17,
"OutletName": "sample string 18"
}
},
"ShortComments": "sample string 53",
"CartNumber": 54,
"SelecttedImagePath": "/images/selecteditem.png",
"ServeStatusColor": "sample string 55",
"SumAmtString": "19",
"OrderDirection": 1,
"BongNumber": "sample string 56",
"BongComments": "sample string 57",
"OutletCode": "sample string 58",
"DefaultOrderType": "sample string 59",
"KDSOrderType": 60,
"OrderStatusFromType": 3,
"PaidStatus": "Delbetald",
"OrderNumber": "17c7c092-430e-4d63-a125-1d322703068b",
"ReceiptNumber": "9",
"OrderType": 0,
"GrossAmount": -40.0,
"ComissionAmount": 0.0,
"NetAmount": 0.0,
"VatAmount": 0.0,
"PartialPaidAmount": 61.0,
"SelectEnable": false,
"CheckOutVisibility": true,
"RetryVisibility": false,
"ButtonVisibility": false,
"ReturnButtonVisibility": false,
"SendTicketToCustomer": true,
"IsReadyToPickup": true,
"IsWaitingToPickup": true,
"ShowReminder": true,
"ShowSMSWarning": true,
"ButtonRestoreVisibility": false,
"ButtonChangeCustomerVisibility": false,
"InvNumber": "sample string 67",
"GiftCard": {
"$ref": "29"
},
"GiftCards": [
{
"$ref": "29"
},
{
"$ref": "29"
}
],
"PaymentType": "sample string 68",
"PaymentTypeId": 69,
"InProgress": true,
"ShowButtonOnOpenView": false,
"ShowButtonOnOpenViewInRestaurant": true,
"AskRUTCalled": true,
"OrderTickets": [
{
"$id": "31",
"Id": "15872ae8-c493-4cd9-aac5-cf8c91e25b81",
"OrderId": "b675c3dc-07ba-4e16-ab2c-c6fe5d136cae",
"TicketNo": 3,
"BongNo": 4,
"TableId": 5,
"Comments": "sample string 6",
"CreatedBy": "sample string 7",
"CreatedAt": "2026-11-04T13:37:06.3649124+01:00",
"OrderTicketItems": [
{
"$id": "32",
"Id": "a2d25410-af29-4ed0-b372-c06a49bac3eb",
"TicketId": "38bb7595-1b41-48e1-9bcd-93060a5e4698",
"OrderTicket": {
"$ref": "31"
},
"ItemId": "098a45eb-9d59-4196-9094-6b66e3895c9b",
"Quantity": 4.0,
"Comments": "sample string 5",
"PrinterId": 6
},
{
"$ref": "32"
}
]
},
{
"$ref": "31"
}
],
"KDSStatus": 0,
"KitchenStatus": 0,
"RecreateTableButton": true,
"TabNo": 74,
"ExportStatus": 75,
"ExportError": "sample string 76",
"TipAmount": 77.0,
"ShowTabNo": true,
"TabNoHeight": 25,
"CurrentStatusText": "sample string 79",
"FoodlyNumber": "sample string 80",
"CommerceOrderFulfillment": {
"$id": "33",
"Id": "b2b152ae-9095-4c07-ad1a-192a63f4ed17",
"OrderId": "6a44e017-dcc1-43fa-b12c-a5c926687047",
"FulfillmentTypeCode": "sample string 3",
"PromisedAt": "2026-11-04T13:37:06.3649124+01:00",
"PromisedDurationMinutes": 4,
"EstimatedReadyAt": "2026-11-04T13:37:06.3649124+01:00"
},
"FoodlyOrder": {
"$id": "34",
"Id": "b90faed6-ba93-41bb-98ab-e56a1d9428b5",
"FoodlyId": 2,
"NIMPOSId": "b3d10697-a42b-4390-8776-b5701d78446a",
"Json": "sample string 4",
"DeliveryRequestedOn": "2026-11-04T13:37:06.3649124+01:00",
"PromisedDurationMinutes": 6,
"SendTokitchen": true
},
"LogEnteries": [
{
"$ref": "20"
},
{
"$ref": "20"
}
],
"DisableCheckoutTraceLog": true
}